Subject: Re: Are you SunOS ld.so freaks (JPL + SWI again!)

From: Jan Wielemaker <[email-masked]>
Date: Tue, 1 Feb 2000 09:53:31 +0100

On Tue, 01 Feb 2000, Pascal Vaillant wrote:
>Dear all,
>
>Curiouser and curiouser, like Alice said in Wonderland: I
>have now tried to port JPL to SunOS 4.1 (to show something
>to my boss)

Good grief.  Is he running an antique shop?  Just to warn you:
shared objects and SunOS 4.x is a mess.   This was exactly
the reason I liked Solaris (> 2.3 :-): they had the courage to
change the binary format from BSD a.out + hacks to the ELF
format.

>But then when I link with the libraries indicated
>in rules.mk (libpl.a, libdl.a, libreadline.a, libm.so),
>ld complains about unresolved references to _abort, __iob,
>and _fprintf.
>
>I thought that sounded like libc functions so I added
>-lc at the end of the command line. But then as soon as I
>try to run JPL I get the following complain:
>
> ld.so: Undefined symbol: ___eprintf

___eprintf is from libgcc.a.  If you have a recent gcc,
try linking using gcc -shared ...  If not link to both
-lc and the libgcc.a that was delivered with gcc.  See
gcc -print-libgcc-file-name.

	Cheers --- Jan